version: "3.8"

services:
  arangodb:
    container_name: arangodb
    image: arangodb:latest
    restart: always
    extra_hosts:
      - "host.docker.internal:host-gateway"
    environment:
      ARANGO_ROOT_USERNAME: root
      ARANGO_ROOT_PASSWORD: rootpassword
      ARANGO_DB: task_manager
    ports:
      - 127.0.0.1:8765:8529
    networks:
      - go_arangodb_net
    # network_mode: host
    volumes:
      - arangodb_data_container:/var/lib/arangodb3
      - arangodb_apps_data_container:/var/lib/arangodb3-apps

  backend_task_manager_api:
    container_name: task-manager
    restart: always
    build:
      context: .
      dockerfile: Dockerfile
    env_file:
      - .env
    volumes:
      - TaskManager
    depends_on:
      - arangodb
    # links:
    #   - "arangodb:127.0.0.1"
    ports:
      - 127.0.0.1:11111:9090
    networks:
      - go_arangodb_net
    # network_mode: host

volumes:
  arangodb_data_container:
  arangodb_apps_data_container:

networks:
  go_arangodb_net:
    driver: bridge